edu.msu.cme.rdp.multicompare

## Class MultiClassifierResult

- java.lang.Object
- - edu.msu.cme.rdp.multicompare.MultiClassifierResult

    public class MultiClassifierResult
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`MultiClassifierResult(edu.msu.cme.rdp.taxatree.ConcretRoot root)`
`MultiClassifierResult(edu.msu.cme.rdp.taxatree.ConcretRoot root, java.util.List<MCSample> samples, java.util.List<java.lang.String> badSequences, java.util.Map<java.lang.String,java.lang.Long> seqCountMap)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addSample(MCSample sample)`
`void` `addSampleList(java.util.List<MCSample> samples)`
`java.util.List<java.lang.String>` `getBadSequences()`
`edu.msu.cme.rdp.taxatree.ConcretRoot` `getRoot()`
`MCSample` `getSample(java.lang.String sampleName)`
`java.util.List<MCSample>` `getSamples()`
`java.util.Map<java.lang.String,java.lang.Long>` `getSeqCountMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultiClassifierResult

    public MultiClassifierResult(edu.msu.cme.rdp.taxatree.ConcretRoot root)

#### MultiClassifierResult

    public MultiClassifierResult(edu.msu.cme.rdp.taxatree.ConcretRoot root,
                                 java.util.List<MCSample> samples,
                                 java.util.List<java.lang.String> badSequences,
                                 java.util.Map<java.lang.String,java.lang.Long> seqCountMap)

### Method Detail

#### getRoot

    public edu.msu.cme.rdp.taxatree.ConcretRoot getRoot()

#### getSamples

    public java.util.List<MCSample> getSamples()

#### getBadSequences

    public java.util.List<java.lang.String> getBadSequences()

#### getSeqCountMap

    public java.util.Map<java.lang.String,java.lang.Long> getSeqCountMap()

#### getSample

    public MCSample getSample(java.lang.String sampleName)

#### addSample

    public void addSample(MCSample sample)

#### addSampleList

    public void addSampleList(java.util.List<MCSample> samples)